Subject: Re: [PATCH -next] bcma: main.c needs to include <linux/slab.h>

From: Pavel Roskin <[email-masked]>
Date: Mon, 27 Jun 2011 13:22:12 -0400

On 06/27/2011 12:57 PM, Johannes Berg wrote:

> Yeah, good rule. Consider if you have a.h, b.h and z.c, z.c needs b.h
> but not a.h, and now b.h includes a.h ("for convenience") -- changing
> a.h would needlessly recompile z.c. Now, changing slab.h will probably
> recompile everything anyway, but still...

In my configuration after touching slab.h and recompilation:

$ find -name '*.o' -newer ../linux3/include/linux/slab.h |wc -l
1508
$ find -name '*.o' |wc -l
1928

78% object files were recompiled, 22% were no recompiled.  Careful use 
of includes does save time.

-- 
Regards,
Pavel Roskin